petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexInsertSupport

Insert a point into the out-edges for the point p in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertSupport(DM dm, PetscInt p, PetscInt supportPos, PetscInt supportPoint)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| supportPos | - The local index in the cone where the point should be put
| supportPoint | - The mesh point to insert

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

### Level

beginner

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages